org.apache.ignite.internal.processors.cache

## Interface GridCacheSwapEntry

All Known Implementing Classes:
  GridCacheBatchSwapEntry, GridCacheOffheapSwapEntry, GridCacheSwapEntryImpl

    public interface GridCacheSwapEntry

Swap entry.

### Method Summary

Methods
`long` `expireTime()`
`IgniteUuid` `keyClassLoaderId()`
`long` `offheapPointer()`
`long` `ttl()`
`byte` `type()`
`CacheObject` `value()`
`void` `value(CacheObject val)`
`byte[]` `valueBytes()`
`void` `valueBytes(byte[] valBytes)`
`IgniteUuid` `valueClassLoaderId()`
`GridCacheVersion` `version()`

### Method Detail

#### valueBytes

    byte[] valueBytes()

Returns:
  Value bytes.

#### type

    byte type()

Returns:
  Object type.

#### valueBytes

    void valueBytes(@Nullable
                  byte[] valBytes)

Parameters:
  `valBytes` - Value bytes.

#### value

    CacheObject value()

Returns:
  Value.

#### value

    void value(CacheObject val)

Parameters:
  `val` - Value.

#### version

    GridCacheVersion version()

Returns:
  Version.

#### ttl

    long ttl()

Returns:
  Time to live.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### keyClassLoaderId

    @Nullable
    IgniteUuid keyClassLoaderId()

Returns:
  Class loader ID for entry key (`null` for local class loader).

#### valueClassLoaderId

    @Nullable
    IgniteUuid valueClassLoaderId()

Returns:
  Class loader ID for entry value (`null` for local class loader).

#### offheapPointer

    long offheapPointer()

Returns:
  If entry is offheap based returns offheap address, otherwise 0.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015